/*
 * Copyright (c) 2018 Markus Hennecke <markus-hennecke@markus-hennecke.de>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef __DB_H__
#define __DB_H__

#include <stdbool.h>
#include <kcgi.h>

bool	db_connect(struct kreq *);
void	db_disconnect(void);
bool	db_add_data(struct kreq *, const char *temp, const char *humidity,
    const char *pressure, const char *battery);
bool	db_add_error(struct kreq *, const char *device, const char *timestamp,
    const char *errormsg);
bool	db_get_data_json(struct kreq *, char **, const char *, const char *);
bool	db_get_errors_json(struct kreq *, char **, const char *);
bool	db_get_latest_json(struct kreq *, char **, const char *, const char *);
bool	db_get_statistics_data_json(struct kreq *, char **, const char *,
    const char *);

#endif
